> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Raw Dbcsv Imported



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/internal/import-events/raw-dbcsv-imported
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/internal/import-events/raw-dbcsv-imported:
    post:
      tags:
        - internal-import-events
      summary: Raw Dbcsv Imported
      operationId: raw_dbcsv_imported_v1_internal_import_events_raw_dbcsv_imported_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-retailgrid-internal-token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Retailgrid-Internal-Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PubSubPushEnvelope'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportEventAck'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PubSubPushEnvelope:
      properties:
        message:
          anyOf:
            - $ref: '#/components/schemas/PubSubPushMessage'
            - type: 'null'
      additionalProperties: true
      type: object
      title: PubSubPushEnvelope
    ImportEventAck:
      properties:
        acknowledged:
          type: boolean
          title: Acknowledged
        ignored:
          type: boolean
          title: Ignored
          default: false
        published:
          type: boolean
          title: Published
          default: false
      type: object
      required:
        - acknowledged
      title: ImportEventAck
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PubSubPushMessage:
      properties:
        data:
          anyOf:
            - type: string
            - type: 'null'
          title: Data
        attributes:
          additionalProperties:
            type: string
          type: object
          title: Attributes
      additionalProperties: true
      type: object
      title: PubSubPushMessage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````